org.jfree.xml.util

## Class ManualMappingDefinition

- java.lang.Object
- - org.jfree.xml.util.ManualMappingDefinition

    public class ManualMappingDefinition
    extends java.lang.Object

Maps a class to a read handler and a write handler.

### Constructor Summary

Constructors
Constructor and Description
`ManualMappingDefinition(java.lang.Class baseClass, java.lang.String readHandler, java.lang.String writeHandler)` Creates a mapping between the class and the read and write handlers.

### Method Summary

Methods
`java.lang.Class` `getBaseClass()` Returns the class.
`java.lang.String` `getReadHandler()` Returns the name of the read handler.
`java.lang.String` `getWriteHandler()` Returns the name of the write handler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManualMappingDefinition

    public ManualMappingDefinition(java.lang.Class baseClass,
                           java.lang.String readHandler,
                           java.lang.String writeHandler)

Creates a mapping between the class and the read and write handlers.

Parameters:
  `baseClass` - the class (`null` not permitted).
  `readHandler` - the name of the read handler.
  `writeHandler` - the name of the write handler.

### Method Detail

#### getBaseClass

    public java.lang.Class getBaseClass()

Returns the class.

Returns:
  The class.

#### getReadHandler

    public java.lang.String getReadHandler()

Returns the name of the read handler.

Returns:
  The name of the read handler.

#### getWriteHandler

    public java.lang.String getWriteHandler()

Returns the name of the write handler.

Returns:
  The name of the write handler.